/* Espaçamentos externos */

.m-1 {
  margin: var(--spacing-layout-01);
}

.m-2 {
  margin: var(--spacing-layout-02);
}

.m-3 {
  margin: var(--spacing-layout-03);
}

.m-4 {
  margin: var(--spacing-layout-04);
}

.m-5 {
  margin: var(--spacing-layout-05);
}

.mb-1 {
  margin-bottom: var(--spacing-layout-01);
}

.mb-2 {
  margin-bottom: var(--spacing-layout-02);
}

.mb-3 {
  margin-bottom: var(--spacing-layout-03);
}

.mb-4 {
  margin-bottom: var(--spacing-layout-04);
}

.mb-5 {
  margin-bottom: var(--spacing-layout-05);
}

.ml-1 {
  margin-left: var(--spacing-layout-01);
}

.ml-2 {
  margin-left: var(--spacing-layout-02);
}

.ml-3 {
  margin-left: var(--spacing-layout-03);
}

.ml-4 {
  margin-left: var(--spacing-layout-04);
}

.ml-5 {
  margin-left: var(--spacing-layout-05);
}

.mr-1 {
  margin-right: var(--spacing-layout-01);
}

.mr-2 {
  margin-right: var(--spacing-layout-02);
}

.mr-3 {
  margin-right: var(--spacing-layout-03);
}

.mr-4 {
  margin-right: var(--spacing-layout-04);
}

.mr-5 {
  margin-right: var(--spacing-layout-05);
}

.mt-1 {
  margin-top: var(--spacing-layout-01);
}

.mt-2 {
  margin-top: var(--spacing-layout-02);
}

.mt-3 {
  margin-top: var(--spacing-layout-03);
}

.mt-4 {
  margin-top: var(--spacing-layout-04);
}

.mt-5 {
  margin-top: var(--spacing-layout-05);
}

.mx-1 {
  margin-left: var(--spacing-layout-01);
  margin-right: var(--spacing-layout-01);
}

.mx-2 {
  margin-left: var(--spacing-layout-02);
  margin-right: var(--spacing-layout-02);
}

.mx-3 {
  margin-left: var(--spacing-layout-03);
  margin-right: var(--spacing-layout-03);
}

.mx-4 {
  margin-left: var(--spacing-layout-04);
  margin-right: var(--spacing-layout-04);
}

.mx-5 {
  margin-left: var(--spacing-layout-05);
  margin-right: var(--spacing-layout-05);
}

.my-1 {
  margin-bottom: var(--spacing-layout-01);
  margin-top: var(--spacing-layout-01);
}

.my-2 {
  margin-bottom: var(--spacing-layout-02);
  margin-top: var(--spacing-layout-02);
}

.my-3 {
  margin-bottom: var(--spacing-layout-03);
  margin-top: var(--spacing-layout-03);
}

.my-4 {
  margin-bottom: var(--spacing-layout-04);
  margin-top: var(--spacing-layout-04);
}

.my-5 {
  margin-bottom: var(--spacing-layout-05);
  margin-top: var(--spacing-layout-05);
}

/* Espaçamentos internos */

.p-1 {
  padding: var(--spacing-layout-01);
}

.p-2 {
  padding: var(--spacing-layout-02);
}

.p-3 {
  padding: var(--spacing-layout-03);
}

.p-4 {
  padding: var(--spacing-layout-04);
}

.p-5 {
  padding: var(--spacing-layout-05);
}

.pb-1 {
  padding-bottom: var(--spacing-layout-01);
}

.pb-2 {
  padding-bottom: var(--spacing-layout-02);
}

.pb-3 {
  padding-bottom: var(--spacing-layout-03);
}

.pb-4 {
  padding-bottom: var(--spacing-layout-04);
}

.pb-5 {
  padding-bottom: var(--spacing-layout-05);
}

.pl-1 {
  padding-left: var(--spacing-layout-01);
}

.pl-2 {
  padding-left: var(--spacing-layout-02);
}

.pl-3 {
  padding-left: var(--spacing-layout-03);
}

.pl-4 {
  padding-left: var(--spacing-layout-04);
}

.pl-5 {
  padding-left: var(--spacing-layout-05);
}

.pr-1 {
  padding-right: var(--spacing-layout-01);
}

.pr-2 {
  padding-right: var(--spacing-layout-02);
}

.pr-3 {
  padding-right: var(--spacing-layout-03);
}

.pr-4 {
  padding-right: var(--spacing-layout-04);
}

.pr-5 {
  padding-right: var(--spacing-layout-05);
}

.pt-1 {
  padding-top: var(--spacing-layout-01);
}

.pt-2 {
  padding-top: var(--spacing-layout-02);
}

.pt-3 {
  padding-top: var(--spacing-layout-03);
}

.pt-4 {
  padding-top: var(--spacing-layout-04);
}

.pt-5 {
  padding-top: var(--spacing-layout-05);
}

.px-1 {
  padding-left: var(--spacing-layout-01);
  padding-right: var(--spacing-layout-01);
}

.px-2 {
  padding-left: var(--spacing-layout-02);
  padding-right: var(--spacing-layout-02);
}

.px-3 {
  padding-left: var(--spacing-layout-03);
  padding-right: var(--spacing-layout-03);
}

.px-4 {
  padding-left: var(--spacing-layout-04);
  padding-right: var(--spacing-layout-04);
}

.px-5 {
  padding-left: var(--spacing-layout-05);
  padding-right: var(--spacing-layout-05);
}

.py-1 {
  padding-bottom: var(--spacing-layout-01);
  padding-top: var(--spacing-layout-01);
}

.py-2 {
  padding-bottom: var(--spacing-layout-02);
  padding-top: var(--spacing-layout-02);
}

.py-3 {
  padding-bottom: var(--spacing-layout-03);
  padding-top: var(--spacing-layout-03);
}

.py-4 {
  padding-bottom: var(--spacing-layout-04);
  padding-top: var(--spacing-layout-04);
}

.py-5 {
  padding-bottom: var(--spacing-layout-05);
  padding-top: var(--spacing-layout-05);
}

/* Breakpoint sm */
@media (width >= 576px) {
  /* Espaçamentos externos */

  .m-sm-1 {
    margin: var(--spacing-layout-01);
  }

  .m-sm-2 {
    margin: var(--spacing-layout-02);
  }

  .m-sm-3 {
    margin: var(--spacing-layout-03);
  }

  .m-sm-4 {
    margin: var(--spacing-layout-04);
  }

  .m-sm-5 {
    margin: var(--spacing-layout-05);
  }

  .mb-sm-1 {
    margin-bottom: var(--spacing-layout-01);
  }

  .mb-sm-2 {
    margin-bottom: var(--spacing-layout-02);
  }

  .mb-sm-3 {
    margin-bottom: var(--spacing-layout-03);
  }

  .mb-sm-4 {
    margin-bottom: var(--spacing-layout-04);
  }

  .mb-sm-5 {
    margin-bottom: var(--spacing-layout-05);
  }

  .ml-sm-1 {
    margin-left: var(--spacing-layout-01);
  }

  .ml-sm-2 {
    margin-left: var(--spacing-layout-02);
  }

  .ml-sm-3 {
    margin-left: var(--spacing-layout-03);
  }

  .ml-sm-4 {
    margin-left: var(--spacing-layout-04);
  }

  .ml-sm-5 {
    margin-left: var(--spacing-layout-05);
  }

  .mr-sm-1 {
    margin-right: var(--spacing-layout-01);
  }

  .mr-sm-2 {
    margin-right: var(--spacing-layout-02);
  }

  .mr-sm-3 {
    margin-right: var(--spacing-layout-03);
  }

  .mr-sm-4 {
    margin-right: var(--spacing-layout-04);
  }

  .mr-sm-5 {
    margin-right: var(--spacing-layout-05);
  }

  .mt-sm-1 {
    margin-top: var(--spacing-layout-01);
  }

  .mt-sm-2 {
    margin-top: var(--spacing-layout-02);
  }

  .mt-sm-3 {
    margin-top: var(--spacing-layout-03);
  }

  .mt-sm-4 {
    margin-top: var(--spacing-layout-04);
  }

  .mt-sm-5 {
    margin-top: var(--spacing-layout-05);
  }

  .mx-sm-1 {
    margin-left: var(--spacing-layout-01);
    margin-right: var(--spacing-layout-01);
  }

  .mx-sm-2 {
    margin-left: var(--spacing-layout-02);
    margin-right: var(--spacing-layout-02);
  }

  .mx-sm-3 {
    margin-left: var(--spacing-layout-03);
    margin-right: var(--spacing-layout-03);
  }

  .mx-sm-4 {
    margin-left: var(--spacing-layout-04);
    margin-right: var(--spacing-layout-04);
  }

  .mx-sm-5 {
    margin-left: var(--spacing-layout-05);
    margin-right: var(--spacing-layout-05);
  }

  .my-sm-1 {
    margin-bottom: var(--spacing-layout-01);
    margin-top: var(--spacing-layout-01);
  }

  .my-sm-2 {
    margin-bottom: var(--spacing-layout-02);
    margin-top: var(--spacing-layout-02);
  }

  .my-sm-3 {
    margin-bottom: var(--spacing-layout-03);
    margin-top: var(--spacing-layout-03);
  }

  .my-sm-4 {
    margin-bottom: var(--spacing-layout-04);
    margin-top: var(--spacing-layout-04);
  }

  .my-sm-5 {
    margin-bottom: var(--spacing-layout-05);
    margin-top: var(--spacing-layout-05);
  }

  /* Espaçamentos internos */

  .p-sm-1 {
    padding: var(--spacing-layout-01);
  }

  .p-sm-2 {
    padding: var(--spacing-layout-02);
  }

  .p-sm-3 {
    padding: var(--spacing-layout-03);
  }

  .p-sm-4 {
    padding: var(--spacing-layout-04);
  }

  .p-sm-5 {
    padding: var(--spacing-layout-05);
  }

  .pb-sm-1 {
    padding-bottom: var(--spacing-layout-01);
  }

  .pb-sm-2 {
    padding-bottom: var(--spacing-layout-02);
  }

  .pb-sm-3 {
    padding-bottom: var(--spacing-layout-03);
  }

  .pb-sm-4 {
    padding-bottom: var(--spacing-layout-04);
  }

  .pb-sm-5 {
    padding-bottom: var(--spacing-layout-05);
  }

  .pl-sm-1 {
    padding-left: var(--spacing-layout-01);
  }

  .pl-sm-2 {
    padding-left: var(--spacing-layout-02);
  }

  .pl-sm-3 {
    padding-left: var(--spacing-layout-03);
  }

  .pl-sm-4 {
    padding-left: var(--spacing-layout-04);
  }

  .pl-sm-5 {
    padding-left: var(--spacing-layout-05);
  }

  .pr-sm-1 {
    padding-right: var(--spacing-layout-01);
  }

  .pr-sm-2 {
    padding-right: var(--spacing-layout-02);
  }

  .pr-sm-3 {
    padding-right: var(--spacing-layout-03);
  }

  .pr-sm-4 {
    padding-right: var(--spacing-layout-04);
  }

  .pr-sm-5 {
    padding-right: var(--spacing-layout-05);
  }

  .pt-sm-1 {
    padding-top: var(--spacing-layout-01);
  }

  .pt-sm-2 {
    padding-top: var(--spacing-layout-02);
  }

  .pt-sm-3 {
    padding-top: var(--spacing-layout-03);
  }

  .pt-sm-4 {
    padding-top: var(--spacing-layout-04);
  }

  .pt-sm-5 {
    padding-top: var(--spacing-layout-05);
  }

  .px-sm-1 {
    padding-left: var(--spacing-layout-01);
    padding-right: var(--spacing-layout-01);
  }

  .px-sm-2 {
    padding-left: var(--spacing-layout-02);
    padding-right: var(--spacing-layout-02);
  }

  .px-sm-3 {
    padding-left: var(--spacing-layout-03);
    padding-right: var(--spacing-layout-03);
  }

  .px-sm-4 {
    padding-left: var(--spacing-layout-04);
    padding-right: var(--spacing-layout-04);
  }

  .px-sm-5 {
    padding-left: var(--spacing-layout-05);
    padding-right: var(--spacing-layout-05);
  }

  .py-sm-1 {
    padding-bottom: var(--spacing-layout-01);
    padding-top: var(--spacing-layout-01);
  }

  .py-sm-2 {
    padding-bottom: var(--spacing-layout-02);
    padding-top: var(--spacing-layout-02);
  }

  .py-sm-3 {
    padding-bottom: var(--spacing-layout-03);
    padding-top: var(--spacing-layout-03);
  }

  .py-sm-4 {
    padding-bottom: var(--spacing-layout-04);
    padding-top: var(--spacing-layout-04);
  }

  .py-sm-5 {
    padding-bottom: var(--spacing-layout-05);
    padding-top: var(--spacing-layout-05);
  }
}

/* Breakpoint md */
@media (width >= 990px) {
  /* Espaçamentos externos */

  .m-md-1 {
    margin: var(--spacing-layout-01);
  }

  .m-md-2 {
    margin: var(--spacing-layout-02);
  }

  .m-md-3 {
    margin: var(--spacing-layout-03);
  }

  .m-md-4 {
    margin: var(--spacing-layout-04);
  }

  .m-md-5 {
    margin: var(--spacing-layout-05);
  }

  .mb-md-1 {
    margin-bottom: var(--spacing-layout-01);
  }

  .mb-md-2 {
    margin-bottom: var(--spacing-layout-02);
  }

  .mb-md-3 {
    margin-bottom: var(--spacing-layout-03);
  }

  .mb-md-4 {
    margin-bottom: var(--spacing-layout-04);
  }

  .mb-md-5 {
    margin-bottom: var(--spacing-layout-05);
  }

  .ml-md-1 {
    margin-left: var(--spacing-layout-01);
  }

  .ml-md-2 {
    margin-left: var(--spacing-layout-02);
  }

  .ml-md-3 {
    margin-left: var(--spacing-layout-03);
  }

  .ml-md-4 {
    margin-left: var(--spacing-layout-04);
  }

  .ml-md-5 {
    margin-left: var(--spacing-layout-05);
  }

  .mr-md-1 {
    margin-right: var(--spacing-layout-01);
  }

  .mr-md-2 {
    margin-right: var(--spacing-layout-02);
  }

  .mr-md-3 {
    margin-right: var(--spacing-layout-03);
  }

  .mr-md-4 {
    margin-right: var(--spacing-layout-04);
  }

  .mr-md-5 {
    margin-right: var(--spacing-layout-05);
  }

  .mt-md-1 {
    margin-top: var(--spacing-layout-01);
  }

  .mt-md-2 {
    margin-top: var(--spacing-layout-02);
  }

  .mt-md-3 {
    margin-top: var(--spacing-layout-03);
  }

  .mt-md-4 {
    margin-top: var(--spacing-layout-04);
  }

  .mt-md-5 {
    margin-top: var(--spacing-layout-05);
  }

  .mx-md-1 {
    margin-left: var(--spacing-layout-01);
    margin-right: var(--spacing-layout-01);
  }

  .mx-md-2 {
    margin-left: var(--spacing-layout-02);
    margin-right: var(--spacing-layout-02);
  }

  .mx-md-3 {
    margin-left: var(--spacing-layout-03);
    margin-right: var(--spacing-layout-03);
  }

  .mx-md-4 {
    margin-left: var(--spacing-layout-04);
    margin-right: var(--spacing-layout-04);
  }

  .mx-md-5 {
    margin-left: var(--spacing-layout-05);
    margin-right: var(--spacing-layout-05);
  }

  .my-md-1 {
    margin-bottom: var(--spacing-layout-01);
    margin-top: var(--spacing-layout-01);
  }

  .my-md-2 {
    margin-bottom: var(--spacing-layout-02);
    margin-top: var(--spacing-layout-02);
  }

  .my-md-3 {
    margin-bottom: var(--spacing-layout-03);
    margin-top: var(--spacing-layout-03);
  }

  .my-md-4 {
    margin-bottom: var(--spacing-layout-04);
    margin-top: var(--spacing-layout-04);
  }

  .my-md-5 {
    margin-bottom: var(--spacing-layout-05);
    margin-top: var(--spacing-layout-05);
  }

  /* Espaçamentos internos */

  .p-md-1 {
    padding: var(--spacing-layout-01);
  }

  .p-md-2 {
    padding: var(--spacing-layout-02);
  }

  .p-md-3 {
    padding: var(--spacing-layout-03);
  }

  .p-md-4 {
    padding: var(--spacing-layout-04);
  }

  .p-md-5 {
    padding: var(--spacing-layout-05);
  }

  .pb-md-1 {
    padding-bottom: var(--spacing-layout-01);
  }

  .pb-md-2 {
    padding-bottom: var(--spacing-layout-02);
  }

  .pb-md-3 {
    padding-bottom: var(--spacing-layout-03);
  }

  .pb-md-4 {
    padding-bottom: var(--spacing-layout-04);
  }

  .pb-md-5 {
    padding-bottom: var(--spacing-layout-05);
  }

  .pl-md-1 {
    padding-left: var(--spacing-layout-01);
  }

  .pl-md-2 {
    padding-left: var(--spacing-layout-02);
  }

  .pl-md-3 {
    padding-left: var(--spacing-layout-03);
  }

  .pl-md-4 {
    padding-left: var(--spacing-layout-04);
  }

  .pl-md-5 {
    padding-left: var(--spacing-layout-05);
  }

  .pr-md-1 {
    padding-right: var(--spacing-layout-01);
  }

  .pr-md-2 {
    padding-right: var(--spacing-layout-02);
  }

  .pr-md-3 {
    padding-right: var(--spacing-layout-03);
  }

  .pr-md-4 {
    padding-right: var(--spacing-layout-04);
  }

  .pr-md-5 {
    padding-right: var(--spacing-layout-05);
  }

  .pt-md-1 {
    padding-top: var(--spacing-layout-01);
  }

  .pt-md-2 {
    padding-top: var(--spacing-layout-02);
  }

  .pt-md-3 {
    padding-top: var(--spacing-layout-03);
  }

  .pt-md-4 {
    padding-top: var(--spacing-layout-04);
  }

  .pt-md-5 {
    padding-top: var(--spacing-layout-05);
  }

  .px-md-1 {
    padding-left: var(--spacing-layout-01);
    padding-right: var(--spacing-layout-01);
  }

  .px-md-2 {
    padding-left: var(--spacing-layout-02);
    padding-right: var(--spacing-layout-02);
  }

  .px-md-3 {
    padding-left: var(--spacing-layout-03);
    padding-right: var(--spacing-layout-03);
  }

  .px-md-4 {
    padding-left: var(--spacing-layout-04);
    padding-right: var(--spacing-layout-04);
  }

  .px-md-5 {
    padding-left: var(--spacing-layout-05);
    padding-right: var(--spacing-layout-05);
  }

  .py-md-1 {
    padding-bottom: var(--spacing-layout-01);
    padding-top: var(--spacing-layout-01);
  }

  .py-md-2 {
    padding-bottom: var(--spacing-layout-02);
    padding-top: var(--spacing-layout-02);
  }

  .py-md-3 {
    padding-bottom: var(--spacing-layout-03);
    padding-top: var(--spacing-layout-03);
  }

  .py-md-4 {
    padding-bottom: var(--spacing-layout-04);
    padding-top: var(--spacing-layout-04);
  }

  .py-md-5 {
    padding-bottom: var(--spacing-layout-05);
    padding-top: var(--spacing-layout-05);
  }
}

/* Breakpoint lg */
@media (width >= 1280px) {
  /* Espaçamentos externos */

  .m-lg-1 {
    margin: var(--spacing-layout-01);
  }

  .m-lg-2 {
    margin: var(--spacing-layout-02);
  }

  .m-lg-3 {
    margin: var(--spacing-layout-03);
  }

  .m-lg-4 {
    margin: var(--spacing-layout-04);
  }

  .m-lg-5 {
    margin: var(--spacing-layout-05);
  }

  .mb-lg-1 {
    margin-bottom: var(--spacing-layout-01);
  }

  .mb-lg-2 {
    margin-bottom: var(--spacing-layout-02);
  }

  .mb-lg-3 {
    margin-bottom: var(--spacing-layout-03);
  }

  .mb-lg-4 {
    margin-bottom: var(--spacing-layout-04);
  }

  .mb-lg-5 {
    margin-bottom: var(--spacing-layout-05);
  }

  .ml-lg-1 {
    margin-left: var(--spacing-layout-01);
  }

  .ml-lg-2 {
    margin-left: var(--spacing-layout-02);
  }

  .ml-lg-3 {
    margin-left: var(--spacing-layout-03);
  }

  .ml-lg-4 {
    margin-left: var(--spacing-layout-04);
  }

  .ml-lg-5 {
    margin-left: var(--spacing-layout-05);
  }

  .mr-lg-1 {
    margin-right: var(--spacing-layout-01);
  }

  .mr-lg-2 {
    margin-right: var(--spacing-layout-02);
  }

  .mr-lg-3 {
    margin-right: var(--spacing-layout-03);
  }

  .mr-lg-4 {
    margin-right: var(--spacing-layout-04);
  }

  .mr-lg-5 {
    margin-right: var(--spacing-layout-05);
  }

  .mt-lg-1 {
    margin-top: var(--spacing-layout-01);
  }

  .mt-lg-2 {
    margin-top: var(--spacing-layout-02);
  }

  .mt-lg-3 {
    margin-top: var(--spacing-layout-03);
  }

  .mt-lg-4 {
    margin-top: var(--spacing-layout-04);
  }

  .mt-lg-5 {
    margin-top: var(--spacing-layout-05);
  }

  .mx-lg-1 {
    margin-left: var(--spacing-layout-01);
    margin-right: var(--spacing-layout-01);
  }

  .mx-lg-2 {
    margin-left: var(--spacing-layout-02);
    margin-right: var(--spacing-layout-02);
  }

  .mx-lg-3 {
    margin-left: var(--spacing-layout-03);
    margin-right: var(--spacing-layout-03);
  }

  .mx-lg-4 {
    margin-left: var(--spacing-layout-04);
    margin-right: var(--spacing-layout-04);
  }

  .mx-lg-5 {
    margin-left: var(--spacing-layout-05);
    margin-right: var(--spacing-layout-05);
  }

  .my-lg-1 {
    margin-bottom: var(--spacing-layout-01);
    margin-top: var(--spacing-layout-01);
  }

  .my-lg-2 {
    margin-bottom: var(--spacing-layout-02);
    margin-top: var(--spacing-layout-02);
  }

  .my-lg-3 {
    margin-bottom: var(--spacing-layout-03);
    margin-top: var(--spacing-layout-03);
  }

  .my-lg-4 {
    margin-bottom: var(--spacing-layout-04);
    margin-top: var(--spacing-layout-04);
  }

  .my-lg-5 {
    margin-bottom: var(--spacing-layout-05);
    margin-top: var(--spacing-layout-05);
  }

  /* Espaçamentos internos */

  .p-lg-1 {
    padding: var(--spacing-layout-01);
  }

  .p-lg-2 {
    padding: var(--spacing-layout-02);
  }

  .p-lg-3 {
    padding: var(--spacing-layout-03);
  }

  .p-lg-4 {
    padding: var(--spacing-layout-04);
  }

  .p-lg-5 {
    padding: var(--spacing-layout-05);
  }

  .pb-lg-1 {
    padding-bottom: var(--spacing-layout-01);
  }

  .pb-lg-2 {
    padding-bottom: var(--spacing-layout-02);
  }

  .pb-lg-3 {
    padding-bottom: var(--spacing-layout-03);
  }

  .pb-lg-4 {
    padding-bottom: var(--spacing-layout-04);
  }

  .pb-lg-5 {
    padding-bottom: var(--spacing-layout-05);
  }

  .pl-lg-1 {
    padding-left: var(--spacing-layout-01);
  }

  .pl-lg-2 {
    padding-left: var(--spacing-layout-02);
  }

  .pl-lg-3 {
    padding-left: var(--spacing-layout-03);
  }

  .pl-lg-4 {
    padding-left: var(--spacing-layout-04);
  }

  .pl-lg-5 {
    padding-left: var(--spacing-layout-05);
  }

  .pr-lg-1 {
    padding-right: var(--spacing-layout-01);
  }

  .pr-lg-2 {
    padding-right: var(--spacing-layout-02);
  }

  .pr-lg-3 {
    padding-right: var(--spacing-layout-03);
  }

  .pr-lg-4 {
    padding-right: var(--spacing-layout-04);
  }

  .pr-lg-5 {
    padding-right: var(--spacing-layout-05);
  }

  .pt-lg-1 {
    padding-top: var(--spacing-layout-01);
  }

  .pt-lg-2 {
    padding-top: var(--spacing-layout-02);
  }

  .pt-lg-3 {
    padding-top: var(--spacing-layout-03);
  }

  .pt-lg-4 {
    padding-top: var(--spacing-layout-04);
  }

  .pt-lg-5 {
    padding-top: var(--spacing-layout-05);
  }

  .px-lg-1 {
    padding-left: var(--spacing-layout-01);
    padding-right: var(--spacing-layout-01);
  }

  .px-lg-2 {
    padding-left: var(--spacing-layout-02);
    padding-right: var(--spacing-layout-02);
  }

  .px-lg-3 {
    padding-left: var(--spacing-layout-03);
    padding-right: var(--spacing-layout-03);
  }

  .px-lg-4 {
    padding-left: var(--spacing-layout-04);
    padding-right: var(--spacing-layout-04);
  }

  .px-lg-5 {
    padding-left: var(--spacing-layout-05);
    padding-right: var(--spacing-layout-05);
  }

  .py-lg-1 {
    padding-bottom: var(--spacing-layout-01);
    padding-top: var(--spacing-layout-01);
  }

  .py-lg-2 {
    padding-bottom: var(--spacing-layout-02);
    padding-top: var(--spacing-layout-02);
  }

  .py-lg-3 {
    padding-bottom: var(--spacing-layout-03);
    padding-top: var(--spacing-layout-03);
  }

  .py-lg-4 {
    padding-bottom: var(--spacing-layout-04);
    padding-top: var(--spacing-layout-04);
  }

  .py-lg-5 {
    padding-bottom: var(--spacing-layout-05);
    padding-top: var(--spacing-layout-05);
  }
}

/* Breakpoint xl */
@media (width >= 1600px) {
  /* Espaçamentos externos */

  .m-xl-1 {
    margin: var(--spacing-layout-01);
  }

  .m-xl-2 {
    margin: var(--spacing-layout-02);
  }

  .m-xl-3 {
    margin: var(--spacing-layout-03);
  }

  .m-xl-4 {
    margin: var(--spacing-layout-04);
  }

  .m-xl-5 {
    margin: var(--spacing-layout-05);
  }

  .mb-xl-1 {
    margin-bottom: var(--spacing-layout-01);
  }

  .mb-xl-2 {
    margin-bottom: var(--spacing-layout-02);
  }

  .mb-xl-3 {
    margin-bottom: var(--spacing-layout-03);
  }

  .mb-xl-4 {
    margin-bottom: var(--spacing-layout-04);
  }

  .mb-xl-5 {
    margin-bottom: var(--spacing-layout-05);
  }

  .ml-xl-1 {
    margin-left: var(--spacing-layout-01);
  }

  .ml-xl-2 {
    margin-left: var(--spacing-layout-02);
  }

  .ml-xl-3 {
    margin-left: var(--spacing-layout-03);
  }

  .ml-xl-4 {
    margin-left: var(--spacing-layout-04);
  }

  .ml-xl-5 {
    margin-left: var(--spacing-layout-05);
  }

  .mr-xl-1 {
    margin-right: var(--spacing-layout-01);
  }

  .mr-xl-2 {
    margin-right: var(--spacing-layout-02);
  }

  .mr-xl-3 {
    margin-right: var(--spacing-layout-03);
  }

  .mr-xl-4 {
    margin-right: var(--spacing-layout-04);
  }

  .mr-xl-5 {
    margin-right: var(--spacing-layout-05);
  }

  .mt-xl-1 {
    margin-top: var(--spacing-layout-01);
  }

  .mt-xl-2 {
    margin-top: var(--spacing-layout-02);
  }

  .mt-xl-3 {
    margin-top: var(--spacing-layout-03);
  }

  .mt-xl-4 {
    margin-top: var(--spacing-layout-04);
  }

  .mt-xl-5 {
    margin-top: var(--spacing-layout-05);
  }

  .mx-xl-1 {
    margin-left: var(--spacing-layout-01);
    margin-right: var(--spacing-layout-01);
  }

  .mx-xl-2 {
    margin-left: var(--spacing-layout-02);
    margin-right: var(--spacing-layout-02);
  }

  .mx-xl-3 {
    margin-left: var(--spacing-layout-03);
    margin-right: var(--spacing-layout-03);
  }

  .mx-xl-4 {
    margin-left: var(--spacing-layout-04);
    margin-right: var(--spacing-layout-04);
  }

  .mx-xl-5 {
    margin-left: var(--spacing-layout-05);
    margin-right: var(--spacing-layout-05);
  }

  .my-xl-1 {
    margin-bottom: var(--spacing-layout-01);
    margin-top: var(--spacing-layout-01);
  }

  .my-xl-2 {
    margin-bottom: var(--spacing-layout-02);
    margin-top: var(--spacing-layout-02);
  }

  .my-xl-3 {
    margin-bottom: var(--spacing-layout-03);
    margin-top: var(--spacing-layout-03);
  }

  .my-xl-4 {
    margin-bottom: var(--spacing-layout-04);
    margin-top: var(--spacing-layout-04);
  }

  .my-xl-5 {
    margin-bottom: var(--spacing-layout-05);
    margin-top: var(--spacing-layout-05);
  }

  /* Espaçamentos internos */

  .p-xl-1 {
    padding: var(--spacing-layout-01);
  }

  .p-xl-2 {
    padding: var(--spacing-layout-02);
  }

  .p-xl-3 {
    padding: var(--spacing-layout-03);
  }

  .p-xl-4 {
    padding: var(--spacing-layout-04);
  }

  .p-xl-5 {
    padding: var(--spacing-layout-05);
  }

  .pb-xl-1 {
    padding-bottom: var(--spacing-layout-01);
  }

  .pb-xl-2 {
    padding-bottom: var(--spacing-layout-02);
  }

  .pb-xl-3 {
    padding-bottom: var(--spacing-layout-03);
  }

  .pb-xl-4 {
    padding-bottom: var(--spacing-layout-04);
  }

  .pb-xl-5 {
    padding-bottom: var(--spacing-layout-05);
  }

  .pl-xl-1 {
    padding-left: var(--spacing-layout-01);
  }

  .pl-xl-2 {
    padding-left: var(--spacing-layout-02);
  }

  .pl-xl-3 {
    padding-left: var(--spacing-layout-03);
  }

  .pl-xl-4 {
    padding-left: var(--spacing-layout-04);
  }

  .pl-xl-5 {
    padding-left: var(--spacing-layout-05);
  }

  .pr-xl-1 {
    padding-right: var(--spacing-layout-01);
  }

  .pr-xl-2 {
    padding-right: var(--spacing-layout-02);
  }

  .pr-xl-3 {
    padding-right: var(--spacing-layout-03);
  }

  .pr-xl-4 {
    padding-right: var(--spacing-layout-04);
  }

  .pr-xl-5 {
    padding-right: var(--spacing-layout-05);
  }

  .pt-xl-1 {
    padding-top: var(--spacing-layout-01);
  }

  .pt-xl-2 {
    padding-top: var(--spacing-layout-02);
  }

  .pt-xl-3 {
    padding-top: var(--spacing-layout-03);
  }

  .pt-xl-4 {
    padding-top: var(--spacing-layout-04);
  }

  .pt-xl-5 {
    padding-top: var(--spacing-layout-05);
  }

  .px-xl-1 {
    padding-left: var(--spacing-layout-01);
    padding-right: var(--spacing-layout-01);
  }

  .px-xl-2 {
    padding-left: var(--spacing-layout-02);
    padding-right: var(--spacing-layout-02);
  }

  .px-xl-3 {
    padding-left: var(--spacing-layout-03);
    padding-right: var(--spacing-layout-03);
  }

  .px-xl-4 {
    padding-left: var(--spacing-layout-04);
    padding-right: var(--spacing-layout-04);
  }

  .px-xl-5 {
    padding-left: var(--spacing-layout-05);
    padding-right: var(--spacing-layout-05);
  }

  .py-xl-1 {
    padding-bottom: var(--spacing-layout-01);
    padding-top: var(--spacing-layout-01);
  }

  .py-xl-2 {
    padding-bottom: var(--spacing-layout-02);
    padding-top: var(--spacing-layout-02);
  }

  .py-xl-3 {
    padding-bottom: var(--spacing-layout-03);
    padding-top: var(--spacing-layout-03);
  }

  .py-xl-4 {
    padding-bottom: var(--spacing-layout-04);
    padding-top: var(--spacing-layout-04);
  }

  .py-xl-5 {
    padding-bottom: var(--spacing-layout-05);
    padding-top: var(--spacing-layout-05);
  }
}
